Intel Bluetooth AX201, aka HarrisonPeak (HrP), not supported

Bug #1842893 reported by You-Sheng Yang on 2019-09-05
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
You-Sheng Yang
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
You-Sheng Yang

Bug Description

[ 5.950346] Bluetooth: hci0: Bootloader revision 0.4 build 0 week 11 2017
[ 5.951318] Bluetooth: hci0: Device revision is 2
[ 5.951319] Bluetooth: hci0: Secure boot is enabled
[ 5.951320] Bluetooth: hci0: OTP lock is enabled
[ 5.951320] Bluetooth: hci0: API lock is enabled
[ 5.951321] Bluetooth: hci0: Debug lock is disabled
[ 5.951322] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[ 5.952242] bluetooth hci0: Direct firmware load for intel/ibt-19-32-4.sfi failed with error -2
[ 5.952244] Bluetooth: hci0: Failed to load Intel firmware file (-2)
---
ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.7
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
DistributionChannelDescriptor:
 # This is the distribution channel descriptor for the OEM CDs
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-bionic-amd64-20190418-59+beaver-osp1-melisa+X16
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2019-08-13 (23 days ago)
InstallationMedia: Ubuntu 18.04 "Bionic" - Build amd64 LIVE Binary 20190418-12:10
Package: linux (not installed)
Tags: bionic
Uname: Linux 5.3.0-050300rc4-generic x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True

You-Sheng Yang (vicamo) wrote :
tags: added: apport-collected bionic
description: updated

apport information

apport information

affects: linux (Ubuntu) → linux-firmware (Ubuntu)
Changed in linux-firmware (Ubuntu):
assignee: nobody → You-Sheng Yang (vicamo)
You-Sheng Yang (vicamo) on 2019-09-05
Changed in linux-firmware (Ubuntu Bionic):
status: New → In Progress
Changed in linux-firmware (Ubuntu Disco):
status: New → In Progress
tags: added: oem-priority originate-from-1839240 somerville
Seth Forshee (sforshee) on 2019-09-27
Changed in linux-firmware (Ubuntu Eoan):
status: New → Fix Released
Changed in linux-firmware (Ubuntu Disco):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Bionic):
status: In Progress → Fix Committed

An upload of linux-firmware to disco-proposed has been rejected from the upload queue for the following reason: "Seems we have a pending package in -proposed and we need to take that into account.".

Andy Whitcroft (apw) wrote :

An upload of linux-firmware to bionic-proposed has been rejected from the upload queue for the following reason: "Seems we have a pending package in -proposed and we need to take that into account.".

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.178.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Andy Whitcroft (apw) wrote :

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.11 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

You-Sheng Yang (vicamo) on 2019-10-15
tags: added: verification-needed-bionic verification-needed-disco
You-Sheng Yang (vicamo) on 2019-10-15
tags: added: verification-done-bionic verification-done-disco
removed: verification-needed-bionic verification-needed-disco
You-Sheng Yang (vicamo) wrote :

Verified bionic 1.173.11, disco 1.178.5. Has the same md5sum as I proposed https://code.launchpad.net/~vicamo/ubuntu/+source/linux-firmware/+git/linux-firmware/+ref/bug-1842893/add-firmware-for-intel-bt-19-32-4/bionic, https://code.launchpad.net/~vicamo/ubuntu/+source/linux-firmware/+git/linux-firmware/+ref/bug-1842893/add-firmware-for-intel-bt-19-32-4/disco:

$ md5sum intel/ibt-19-32-4.ddc intel/ibt-19-32-4.sfi
a575af7c88f4c74841d71dd5fc273a3d intel/ibt-19-32-4.ddc
7753b2a34fa3647c76c116abf3240c22 intel/ibt-19-32-4.sfi

Matt Ward (therealwardo) wrote :

I believe this bug affected my Dell XPS 13" 7390 (2-in-1). I also verified this by updating to use the bionic-proposed linux-firmware package and bluetooth now works! thank you all so much!

Timo Aaltonen (tjaalton) wrote :

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.178.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton) wrote :

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.12 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

You-Sheng Yang (vicamo) wrote :

verified disco version 1.178.6:

  $ md5sum intel/ibt-19-32-4.sfi
  7753b2a34fa3647c76c116abf3240c22 intel/ibt-19-32-4.sfi

verified bionic version 1.173.12:

  $ md5sum intel/ibt-19-32-4.sfi
  7753b2a34fa3647c76c116abf3240c22 intel/ibt-19-32-4.sfi

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.173.12

---------------
linux-firmware (1.173.12) bionic; urgency=medium

  * Firmware for Radeon RX5700 (navi10) missing / boot failure
    (LP: #1848848)
    - amdgpu: add initial navi10 firmware

  * update-initramfs complains of missing amdgpu firmware files
    (LP: #1850654)
    - amdgpu: add new raven rlc firmware

  * Add RTL8822cu bluetooth support (LP: #1849598)
    - rtl_bt: Add firmware and configuration files for the Bluetooth part of RTL8822CU
    - rtl_bt: Update firmware for BT part of RTL8822C
    - rtl_bt: Update RTL8822C BT FW to V0x098A_94A4
    - rtl_bt: Update configuration file for BT part of RTL8822CU

  * System will auto resume from sleep on receiving LE ADV after paired
    with BT LE devices(LP: #1849779)
    - linux-firmware: Update firmware file for Intel Bluetooth 9260

  * Intel Bluetooth AX201 HarrisonPeak (HrP) firmware causes system hang
    in deep suspend (LP: #1850738)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Revert the firmware update for sound/sof (LP: #1850739)
    - Revert "UBUNTU: SAUCE: update firmware for sound sof driver to fix hang issues"

  * Add support for Realtek 8723DE wireless adapter (LP: #1780590)
    - rtw88: RTL8723D: add firmware file v48

linux-firmware (1.173.11) bionic; urgency=medium

  * Intel Bluetooth AX201, aka HarrisonPeak (HrP), not supported
    (LP: #1842893)
    - linux-firmware: Add firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * update firmware for sound sof driver to fix the hang issue on several
    Dell machines (LP: #1847250)
    - SAUCE: update firmware for sound sof driver to fix hang issues

linux-firmware (1.173.10) bionic; urgency=medium

  * Intel Wireless-AC 9462/9560 not supported on ICL (LP: #1835879)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Bluetooth fails with "Bluetooth: hci0: request failed to create LE
    connection: status 0x0c" message with Kernel 4.20 and up [9df0:0034]
    (LP: #1836467)
    - linux-firmware: Update firmware file for Intel Bluetooth 9560

  * [Intel CyclonePeak] Pairing new BT mouse fails sometimes Edit
    (LP: #1836983)
    - linux-firmware: Update firmware file for Intel Bluetooth 22161

 -- Seth Forshee <email address hidden> Tue, 05 Nov 2019 16:14:05 -0600

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.178.6

---------------
linux-firmware (1.178.6) disco; urgency=medium

  * Add RTL8822cu bluetooth support (LP: #1849598)
    - rtl_bt: Update RTL8822C BT FW to V0x098A_94A4
    - rtl_bt: Update configuration file for BT part of RTL8822CU

  * System will auto resume from sleep on receiving LE ADV after paired
    with BT LE devices(LP: #1849779)
    - linux-firmware: Update firmware file for Intel Bluetooth 9260

  * Intel Bluetooth AX201 HarrisonPeak (HrP) firmware causes system hang
    in deep suspend (LP: #1850738)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Revert the firmware update for sound/sof (LP: #1850739)
    - Revert "UBUNTU: SAUCE: update firmware for sound sof driver to fix hang issues"

  * Add support for Realtek 8723DE wireless adapter (LP: #1780590)
    - rtw88: RTL8723D: add firmware file v48

linux-firmware (1.178.5) disco; urgency=medium

  * Intel Bluetooth AX201, aka HarrisonPeak (HrP), not supported
    (LP: #1842893)
    - linux-firmware: Add firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * update firmware for sound sof driver to fix the hang issue on several
    Dell machines (LP: #1847250)
    - SAUCE: update firmware for sound sof driver to fix hang issues

linux-firmware (1.178.4) disco; urgency=medium

  * Intel Wireless-AC 9462/9560 not supported on ICL (LP: #1835879)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Bluetooth fails with "Bluetooth: hci0: request failed to create LE
    connection: status 0x0c" message with Kernel 4.20 and up [9df0:0034]
    (LP: #1836467)
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth 9560

  * [Intel CyclonePeak] Pairing new BT mouse fails sometimes Edit
    (LP: #1836983)
    - linux-firmware: Update firmware file for Intel Bluetooth 22161

 -- Seth Forshee <email address hidden> Tue, 05 Nov 2019 15:56:27 -0600

Changed in linux-firmware (Ubuntu Disco):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers